
QGIS Application - Feature request #5935

Make the default state of the topological editing configurable.

2012-07-04 02:06 AM - Borys Jurgiel

Status: Open

Priority: Normal

Assignee:

Category: GUI

Pull Request or Patch supplied:No Resolution:

Easy fix?: No Copied to github as #: 15370

Description

Add an 'Enable topological editing by default' checkbox to the default snapping configuration in the Options Dialog -> Digitizing ->

Snapping

History

#1 - 2012-07-04 11:38 AM - Giovanni Manghi

a big +1

More in general there should be a shortcut to the "snapping options" dialog somewhere in the status bar (for example), in a place easily accessible or easily

actionable during digitising.

#2 - 2012-07-04 11:52 AM - Alexander Bruy

As I can see, snapping options are saved in project. So we need to add an global option, that can be overriden by project one, right?

#3 - 2012-07-06 12:26 AM - Borys Jurgiel

Alexander Bruy wrote:

As I can see, snapping options are saved in project. So we need to add an global option, that can be overriden by project one, right?

Exactly. The same way like the default CRS and OTFR state for new projects.

#4 - 2012-10-06 02:20 AM - Pirmin Kalberer

- Target version changed from Version 2.0.0 to Future Release - Nice to have

#5 - 2017-05-01 12:48 AM - Giovanni Manghi

- Easy fix? set to No

2025-04-27 1/1


